summaryrefslogtreecommitdiffstats
path: root/bin/d-i_overview.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/d-i_overview.sh')
-rwxr-xr-xbin/d-i_overview.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/bin/d-i_overview.sh b/bin/d-i_overview.sh
new file mode 100755
index 00000000..2c1fc35f
--- /dev/null
+++ b/bin/d-i_overview.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+# Copyright 2014 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+DEBUG=false
+. /srv/jenkins/bin/common-functions.sh
+common_init "$@"
+
+# convert param to variables
+if [ "$1" == "" ] ; then
+ echo "need an Archicture to act on"
+ exit 1
+fi
+ARCH=$1
+URL=http://d-i.debian.org/daily-images/daily-build-overview.html
+
+TMPFILE=$(mktemp)
+MISSING=$(mktemp)
+FAILED=$(mktemp)
+CLEAN=true
+
+curl -s -S $URL -o $TMPFILE
+echo "Checking $URL for build issues on $ARCH."
+
+# http://anonscm.debian.org/viewvc/d-i/trunk/scripts/daily-build-overview?view=markup is used to generate the HTML
+awk '/ul id="missingarchs/,/<\/ul>/' $TMPFILE > $MISSING
+awk '/ul id="failedarchs/,/<\/ul>/' $TMPFILE > $FAILED
+if grep -q "<li><a href=\"#$ARCH\"" $MISSING ; then
+ echo "Warning: Build for $ARCH is missing!"
+ CLEAN=false
+fi
+if grep -q "<li><a href=\"#$ARCH\"" $FAILED ; then
+ echo "Failure: Build for $ARCH failed!"
+ exit 1
+fi
+if $CLEAN ; then
+ echo "None found."
+fi
+echo
+
+rm $TMPFILE $FAILED $MISSING